Bug 80680 - Machine doesn't power off on "init 0" when ACPI support is enabled
Machine doesn't power off on "init 0" when ACPI support is enabled
Status: CLOSED DUPLICATE of bug 82123
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks: 79579
  Show dependency treegraph
 
Reported: 2002-12-29 13:14 EST by Felipe Alfaro Solana
Modified: 2013-07-02 22:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:50:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ACPI dmidecode for AL440LX motherboard (7.10 KB, text/plain)
2002-12-29 13:15 EST, Felipe Alfaro Solana
no flags Details
ACPI dmidecode for QDI Platinix P4 motherboard (146.53 KB, text/plain)
2003-01-03 12:14 EST, Felipe Alfaro Solana
no flags Details

  None (edit)
Description Felipe Alfaro Solana 2002-12-29 13:14:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3a) Gecko/20021212

Description of problem:
I have an old Intel AL440LX, Pentium II-based server running on Phoebe. On
previous Red Hat versions, like Psyche (8.0), when I issued an "init 0" command,
the machine would shutdown and power itself off automatically.

On Phoebe, however, issuing an "init 0" command kills all processes but doesn't
power off the machine. Instead a "Power down..." message is displayed by the
kernel at the console and I must manually turn the machine off by holding down
the power button for 5 seconds.

If I boot the kernel with "acpi=off" appended to the kernel command line,
issuing an "init 0" powers the machine off, so this must be a problem with ACPI
support.

I have attached the "dmidecode" file as generated by the "dmidecode -v >
dmidecode" command for you to analyze possible problems with ACPI implementation
of my old Intel AL440LX motherboard.

Version-Release number of selected component (if applicable):
2.4.20-2.2

How reproducible:
Always

Steps to Reproduce:
1. Install Phoebe on an Intel AL440LX motherboard-based machine.
2. Log on as root and issue "init 0"
3. The machine won't power down automatically.
4. Now, boot with "acpi=off" appended to the kernel command line.
5. Issue "init 0"
6. This time, the machine won't use ACPI but APM and will power down successfully.
    

Actual Results:  Machine doesn't power off on "init 0"

Expected Results:  Machine should power off on "init 0" as it did in previous
versions of RedHat and Linux kernels.

Additional info:

Please, see the "dmidecode" file attached and don't hesitate on contacting me
for further assistance.
Comment 1 Felipe Alfaro Solana 2002-12-29 13:15:38 EST
Created attachment 88980 [details]
ACPI dmidecode for AL440LX motherboard
Comment 2 ctm 2002-12-29 14:02:28 EST
The December 12th 2002 ACPI patch may help out here.  Poweroff stopped working
on my laptop when I installed Phoebe.  Backing out the Phoebe ACPI patch and
installing the 20021212 one fixed it for me.  I've sent a little more info to
phoebe-list.

http://prdownloads.sourceforge.net/acpi/acpi-20021212-2.4.20.diff.gz?download
Comment 3 Elton Woo 2002-12-29 17:07:01 EST
Dmidecode from my system:
[root@dhcp-87-476 root]# dmidecode
SMBIOS 2.3 present.
DMI 2.3 present.
46 structures occupying 1302 bytes.
DMI table at 0x000F2DB0.
Handle 0x0000
        DMI type 0, 20 bytes.
        BIOS Information Block
                Vendor: Award Software, Inc.
                Version: ASUS A7V-E ACPI BIOS Revision 1004
                Release: 01/11/2002
                BIOS base: 0xF0000
                ROM size: 192K
                Capabilities:
                        Flags: 0x000000007FCBDE80
Handle 0x0001
        DMI type 1, 25 bytes.
        System Information Block
                Vendor: System Manufacturer
                Product: System Name
                Version: System Version
                Serial Number: SYS-1234567890
Handle 0x0002
        DMI type 2, 8 bytes.
        Board Information Block
                Vendor: ASUSTeK Computer INC.
                Product: <A7V-E>
                Version: REV 1.xx
                Serial Number: xxxxxxxxxxx
Handle 0x0003
        DMI type 3, 17 bytes.
        Chassis Information Block
                Vendor: Chassis Manufacture
                Chassis Type: Tower
                Version: Chassis Version
                Serial Number: Chassis Serial Number
                Asset Tag: Asset-1234567890
Handle 0x0004
        DMI type 4, 32 bytes.
        Processor
                Socket Designation: SOCKET A
                Processor Type: Central Processor
                Processor Family: Other
                Processor Manufacturer: AuthenticAMD
                Processor Version: AMD Athlon(TM) Processor
Handle 0x0005
        DMI type 5, 20 bytes.
        Memory Controller
Handle 0x0006
        DMI type 6, 12 bytes.
        Memory Bank
                Socket: DIMM 1
                Banks: 0 1
                Type: OTHER DIMM SDRAM
                Installed Size: Not Installed
                Enabled Size: Not Installed
Handle 0x0007
        DMI type 6, 12 bytes.
        Memory Bank
                Socket: DIMM 2
                Banks: 2 3
                Type: OTHER DIMM SDRAM
                Installed Size: 512Mbyte
                Enabled Size: 512Mbyte
Handle 0x0008
        DMI type 7, 19 bytes.
        Cache
                Socket: L1 Cache
                L1 Internal Cache: write-back
                L1 Cache Size: 128K
                L1 Cache Maximum: 128K
                L1 Cache Type: Synchronous
Handle 0x0009
        DMI type 7, 19 bytes.
        Cache
                Socket: L2 Cache
                L2 Internal Cache: write-back
                L2 Cache Size: 8192K
                L2 Cache Maximum: 256K
                L2 Cache Type: Pipeline burst Synchronous
Handle 0x000A
        DMI type 8, 9 bytes.
        Port Connector
                Internal Designator: PRIMARY IDE/HDD
                Internal Connector Type: On Board IDE
                External Designator:
                External Connector Type: None
                Port Type: None
Handle 0x000B
        DMI type 8, 9 bytes.
        Port Connector
                Internal Designator: SECONDARY IDE/HDD
                Internal Connector Type: On Board IDE
                External Designator:
                External Connector Type: None
                Port Type: None
Handle 0x000C
        DMI type 8, 9 bytes.
        Port Connector
                Internal Designator: FLOPPY
                Internal Connector Type: On Board Floppy
                External Designator:
                External Connector Type: None
                Port Type: None
Handle 0x000D
        DMI type 8, 9 bytes.
        Port Connector
                Internal Designator:
                Internal Connector Type: None
                External Designator: USB1
                External Connector Type: Access Bus (USB)
                Port Type: USB
Handle 0x000E
        DMI type 8, 9 bytes.
        Port Connector
                Internal Designator:
                Internal Connector Type: None
                External Designator: USB2
                External Connector Type: Access Bus (USB)
                Port Type: USB
Handle 0x000F
        DMI type 8, 9 bytes.
        Port Connector
                Internal Designator:
                Internal Connector Type: None
                External Designator: USB3
                External Connector Type: Access Bus (USB)
                Port Type: USB
Handle 0x0010
        DMI type 8, 9 bytes.
        Port Connector
                Internal Designator:
                Internal Connector Type: None
                External Designator: USB4
                External Connector Type: Access Bus (USB)
                Port Type: USB
Handle 0x0011
        DMI type 8, 9 bytes.
        Port Connector
                Internal Designator:
                Internal Connector Type: None
                External Designator: PS/2 Keybaord
                External Connector Type: PS/2
                Port Type: Keyboard Port
Handle 0x0012
        DMI type 8, 9 bytes.
        Port Connector
                Internal Designator:
                Internal Connector Type: None
                External Designator: PS/2 Mouse
                External Connector Type: PS/2
                Port Type: Mouse Port
Handle 0x0013
        DMI type 8, 9 bytes.
        Port Connector
                Internal Designator:
                Internal Connector Type: None
                External Designator: Parallel Port
                External Connector Type: DB-25 pin female
                Port Type: Parallel Port ECP/EPP
Handle 0x0014
        DMI type 8, 9 bytes.
        Port Connector
                Internal Designator:
                Internal Connector Type: None
                External Designator: Serial Port 1
                External Connector Type: DB-9 pin male
                Port Type: Serial Port 16650 Compatible
Handle 0x0015
        DMI type 8, 9 bytes.
        Port Connector
                Internal Designator:
                Internal Connector Type: None
                External Designator: Serial Port 2
                External Connector Type: DB-9 pin male
                Port Type: Serial Port 16650 Compatible
Handle 0x0016
        DMI type 8, 9 bytes.
        Port Connector
                Internal Designator:
                Internal Connector Type: None
                External Designator: Joystick Port
                External Connector Type: DB-15 pin female
                Port Type: Joy Stick Port
Handle 0x0017
        DMI type 8, 9 bytes.
        Port Connector
                Internal Designator:
                Internal Connector Type: None
                External Designator: MIDI Port
                External Connector Type: DB-15 pin female
                Port Type: MIDI Port
Handle 0x0018
        DMI type 8, 9 bytes.
        Port Connector
                Internal Designator:
                Internal Connector Type: None
                External Designator: Line In Jack
                External Connector Type: Mini-jack (headphones)
                Port Type: Audio Port
Handle 0x0019
        DMI type 8, 9 bytes.
        Port Connector
                Internal Designator:
                Internal Connector Type: None
                External Designator: Video Port
                External Connector Type: Mini-jack (headphones)
                Port Type: Video Port
Handle 0x001A
        DMI type 9, 13 bytes.
        Card Slot
                Slot: PCI 1
                Type: 32bit Long PCI
                Status: In use.
                Slot Features: 5v 3.3v
Handle 0x001B
        DMI type 9, 13 bytes.
        Card Slot
                Slot: PCI 2
                Type: 32bit Long PCI
                Status: In use.
                Slot Features: 5v 3.3v
Handle 0x001C
        DMI type 9, 13 bytes.
        Card Slot
                Slot: PCI 3
                Type: 32bit Long PCI
                Status: Available.
                Slot Features: 5v 3.3v
Handle 0x001D
        DMI type 9, 13 bytes.
        Card Slot
                Slot: PCI 4
                Type: 32bit Long PCI
                Status: Available.
                Slot Features: 5v 3.3v
Handle 0x001E
        DMI type 9, 13 bytes.
        Card Slot
                Slot: PCI 5
                Type: 32bit Long PCI
                Status: Available.
                Slot Features: 5v 3.3v
Handle 0x001F
        DMI type 9, 13 bytes.
        Card Slot
                Slot: PCI 6
                Type: 32bit Long PCI
                Status: Available.
                Slot Features: 5v 3.3v
Handle 0x0020
        DMI type 9, 13 bytes.
        Card Slot
                Slot: AGP
                Type: 32bit PC98/C20
                Status: In use.
                Slot Features: 5v 3.3v
Handle 0x0021
        DMI type 10, 6 bytes.
        On Board Devices Information
                Description: Realtek RTL8139C : Disabled
                Type:
Handle 0x0022
        DMI type 11, 5 bytes.
        OEM Data
                0
                0
Handle 0x0023
        DMI type 13, 22 bytes.
        BIOS Language Information
Handle 0x0024
        DMI type 14, 14 bytes.
        Group Associations
                Group Name: Cpu Module
                        Type: 0x04
                        Handle: 0x0004
                Group Name: Cpu Module
                        Type: 0x07
                        Handle: 0x0008
                Group Name: Cpu Module
                        Type: 0x07
                        Handle: 0x0009
Handle 0x0025
        DMI type 14, 23 bytes.
        Group Associations
                Group Name: Memory Module Set
                        Type: 0x10
                        Handle: 0x0026
                Group Name: Memory Module Set
                        Type: 0x11
                        Handle: 0x0027
                Group Name: Memory Module Set
                        Type: 0x14
                        Handle: 0x002a
                Group Name: Memory Module Set
                        Type: 0x11
                        Handle: 0x0028
                Group Name: Memory Module Set
                        Type: 0x14
                        Handle: 0x002b
                Group Name: Memory Module Set
                        Type: 0x13
                        Handle: 0x0029
Handle 0x0026
        DMI type 16, 15 bytes.
        Physical Memory Array
Handle 0x0027
        DMI type 17, 23 bytes.
        Memory Device
Handle 0x0028
        DMI type 17, 23 bytes.
        Memory Device
Handle 0x0029
        DMI type 19, 15 bytes.
        Memory Array Mapped Address
Handle 0x002A
        DMI type 126, 19 bytes.
        Inactive
Handle 0x002B
        DMI type 20, 19 bytes.
        Memory Device Mapped Address
Handle 0x002C
        DMI type 32, 11 bytes.
        System Boot Information
Handle 0x002D
        DMI type 127, 4 bytes.
        End-of-Table
[root@dhcp-87-476 root]#

CPU: ADM Athlon 1.0G
Award BIOS rev. 1004
ASUS ATX A7V-E/550/motherboard 
Chipset:KT133
Comment 4 Warren Togami 2002-12-29 17:09:39 EST
Duplicate of Bug 80360.
Comment 5 Felipe Alfaro Solana 2003-01-03 12:14:02 EST
Created attachment 89096 [details]
ACPI dmidecode for QDI Platinix P4 motherboard
Comment 6 Jeff Garzik 2003-01-17 16:43:16 EST

*** This bug has been marked as a duplicate of 82123 ***
Comment 7 Red Hat Bugzilla 2006-02-21 13:50:45 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.